import request from '@/utils/request'

// 查询游戏配置列表
export function listGame(query) {
  return request({
    url: '/business/game/list',
    method: 'get',
    params: query
  })
}
// 查询游戏分类列表
export function listClassifyGame() {
  return request({
    url: '/business/classify/allList',
    method: 'get',
  })
}

// 查询游戏配置详细
export function getGame(id) {
  return request({
    url: '/business/game/' + id,
    method: 'get'
  })
}

// 新增游戏配置
export function addGame(data) {
  return request({
    url: '/business/game',
    method: 'post',
    data: data
  })
}

// 修改游戏配置
export function updateGame(data) {
  return request({
    url: '/business/game',
    method: 'put',
    data: data
  })
}

// 删除游戏配置
export function delGame(id) {
  return request({
    url: '/business/game/' + id,
    method: 'delete'
  })
}
